Patchwork [meta-ruby] ruby: fix a parallel building issue

login
register
mail settings
Submitter rongqing.li@windriver.com
Date Aug. 6, 2014, 6:44 a.m.
Message ID <1407307467-7559-1-git-send-email-rongqing.li@windriver.com>
Download mbox | patch
Permalink /patch/77351/
State Accepted, archived
Headers show

Comments

rongqing.li@windriver.com - Aug. 6, 2014, 6:44 a.m.
From: Roy Li <rongqing.li@windriver.com>

Signed-off-by: Roy Li <rongqing.li@windriver.com>
---
 .../ruby/ruby/remove-the-dependency-on-dir.patch   |   37 ++++++++++++++++++++
 meta-ruby/recipes-devtools/ruby/ruby_1.9.3-p547.bb |    1 +
 2 files changed, 38 insertions(+)
 create mode 100644 meta-ruby/recipes-devtools/ruby/ruby/remove-the-dependency-on-dir.patch

Patch

diff --git a/meta-ruby/recipes-devtools/ruby/ruby/remove-the-dependency-on-dir.patch b/meta-ruby/recipes-devtools/ruby/ruby/remove-the-dependency-on-dir.patch
new file mode 100644
index 0000000..a4ac3ea
--- /dev/null
+++ b/meta-ruby/recipes-devtools/ruby/ruby/remove-the-dependency-on-dir.patch
@@ -0,0 +1,37 @@ 
+remove a duplicate dependency
+
+Upstream-status: Pending
+
+The install-rb-default dependency is as below:
+
+pre-install-rb-default:
+	mkdir -p $(RUBYLIBDIR)/bigdecimal
+
+install-rb-default: pre-install-rb-default $(RUBYLIBDIR)/bigdecimal
+
+In fact, dependency on $(RUBYLIBDIR)/bigdecimal is duplicate, and not rule
+for $(RUBYLIBDIR)/bigdecimal, once $(RUBYLIBDIR)/bigdecimal is checked before
+pre-install-rb-default, the below error will happen
+	*** No rule to make target `../../.ext/common/yaml', needed by `install-rb-default'.  Stop
+
+Signed-off-by: Roy Li <rongqing.li@windriver.com>
+---
+ lib/mkmf.rb |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lib/mkmf.rb b/lib/mkmf.rb
+index 1f5ed76..556684c 100644
+--- a/lib/mkmf.rb
++++ b/lib/mkmf.rb
+@@ -2054,7 +2054,7 @@ static: $(STATIC_LIB)#{$extout ? " install-rb" : ""}
+       end
+       for f in files
+         dest = "#{dir}/#{File.basename(f)}"
+-        mfile.print("install-rb#{sfx}: #{dest} #{dir}\n")
++        mfile.print("install-rb#{sfx}: #{dest}\n")
+         mfile.print("#{dest}: #{f}\n")
+         mfile.print("\t$(Q) $(#{$extout ? 'COPY' : 'INSTALL_DATA'}) #{f} $(@D#{sep})\n")
+         if defined?($installed_list) and !$extout
+-- 
+1.7.10.4
+
diff --git a/meta-ruby/recipes-devtools/ruby/ruby_1.9.3-p547.bb b/meta-ruby/recipes-devtools/ruby/ruby_1.9.3-p547.bb
index 2404a5f..24bacdc 100644
--- a/meta-ruby/recipes-devtools/ruby/ruby_1.9.3-p547.bb
+++ b/meta-ruby/recipes-devtools/ruby/ruby_1.9.3-p547.bb
@@ -10,6 +10,7 @@  SRC_URI += "\
     file://rubygems-1.8.11-binary-extensions.patch \
     file://ruby-1.9.3-mkmf-verbose.patch \
     file://ruby-1.9.3-install-cross.patch \
+    file://remove-the-dependency-on-dir.patch \
 "
 SRC_URI[md5sum] = "7531f9b1b35b16f3eb3d7bea786babfd"
 SRC_URI[sha256sum] = "9ba118e4aba04c430bc4d5efb09b31a0277e101c9fd2ef3b80b9c684d7ae57a1"